"""
 (C) Copyright 2002 Kapil Thangavelu <kvthan@wm.edu>
 All Rights Reserved

 This file is part of Gideon.

 Gideon is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Gideon is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Gideon; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""

# $Id: $

# Author: Kapil Thangavelu <kvthan@wm.edu>
# License: GPL <www.gnu.org>
# CVS: $Id: __init__.py,v 1.1.1.1 2001/12/31 04:07:06 ender Exp $


from App.Common import package_home

EventChannelHome = package_home(globals())

import EventChannel

def initialize(context):
    
    context.registerClass(
            EventChannel.EventChannel,
            constructors = (
                            EventChannel.manage_addEventChannelForm,
                            EventChannel.manage_addEventChannel
                            ),
            permission = "Add EventChannel",
            icon = "www/event_channel.png"
    )
    
    context.registerHelp()
    

